Package org.apache.ignite.transactions

## Class TransactionOptimisticException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionOptimisticException

- All Implemented Interfaces:
    `Serializable`

      public class TransactionOptimisticException
      extends TransactionException

  Exception thrown whenever grid transactions fail optimistically.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionOptimisticException​(String msg)` | Creates new optimistic exception with given error message.
    `TransactionOptimisticException​(String msg, Throwable cause)` | Creates new optimistic exception with given error message and optional nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionOptimisticException

          public TransactionOptimisticException​(String msg)

      Creates new optimistic exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### TransactionOptimisticException

          public TransactionOptimisticException​(String msg,
                                                Throwable cause)

      Creates new optimistic exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).